#1043 Can't open remote FTP files

v1.24.1
pending-invalid
nobody
None
v1.24.1
5
2015-08-19
2014-05-07
ElVirolo
No

Since upgrade to Cinnamon 2.2 and GTK/GNOME 3.12, Geany can't open remote FTP files. No error displayed. Any file is seen as blank.

Accessing FTP files works with Gedit 3.12.1.

When accessing remote FTP location, Nemo/Nautilus now displays the actual FTP URL (ie. ftp://ftp.foobar.org) instead of GVFS mountpoint, as it previoulsy did. Not sure it is relevant to this particular bug though.

~/.gvfs directory is empty.

System : Manjaro Linux testing
GTK 3.12
Cinnamon/Nemo 2.2.1
Geany 1.24.1
Kernel 3.12.18-1-MANJARO
GVFS 1.20.1-2

Related

Bugs: #1043

Discussion

  • Colomban Wendling

    • status: open --> pending-invalid
     
  • Colomban Wendling

    Apparently gvfs-fuse mounts are now in /run/user/$UID/gvfs, so empty ~/.gvfs is probably expected. I don't have an FTP to test with, but works for me with a SFTP with gvfs-fuse 1.20, GTK 3.12. Nautilus is still 3.8 here, but it always displayed the stfp://url, not the fuse mount.

    Please make sure you have gvfs-fuse, and that it works properly.

    Anyway, Geany cannot access non-local mounts, and that's known and expected (at least for now), so if gvfs-fuse doesn't do its job of mounting locally with FUSE, it's a bug there, not in Geany.

     
  • ElVirolo

    ElVirolo - 2014-05-07

    Ok thanks, it does work -more or less- from /run/user/$UID/gvfs.

    The weirdest thing is that sometimes /run/user/$UID/gvfs is empty even though the FTP directory seems to be mounted. Anyway, not a Geany bug. Sorry for filing an invalid bug report.

     
  • Colomban Wendling

    No problem.

    However, why do you manually navigate to the gvfs-fuse mount? For me, opening with Geany from inside Nautilus works, and Geany's open dialog lists the mounts and navigate them seamlessly, just like GEdit.
    All gvfs-fuse magic happens under the hood, only way to tell is that Geany actually has a local path afterward.

     
  • ElVirolo

    ElVirolo - 2014-05-07

    It's because opening the FTP directory from within Geany doesn't always work. Sometimes I get an empty file. No idea why.

     
  • Colomban Wendling

    Oh, wow. This looks like a bug, possibly in GVFS or gvfs-fuse… maybe e.g. the FUSE mount happens on demand when trying to resolve a locale path, and the real mounting happens after the local path is resolved? Just a guess, I don't know.

     
  • Jiri Techet

    Jiri Techet - 2015-08-19

    I believe this one should be fixed by using GIO g_file_load_contents() as proposed in

    https://github.com/geany/geany/issues/605

    Should also fix

    https://bugs.launchpad.net/ubuntu/+source/geany/+bug/738147

    The thing is (I believe) if a file is created from some other application over gvfs, it's possible that the file hasn't reached the remote server yet and is just cached locally so far. Using g_file_get_contents() accesses the remote server immediately over FUSE but the file isn't there yet. However, if we use g_file_load_contents(), we get the local copy from GVFS.

     
    • Lex Trotman

      Lex Trotman - 2015-08-19

      [bugs:#1043] Can't open remote FTP files

      Status: pending-invalid
      Found in: v1.24.1
      Fixed in: v1.24.1
      Created: Wed May 07, 2014 01:37 PM UTC by ElVirolo
      Last Updated: Wed May 07, 2014 03:10 PM UTC
      Owner: nobody

      Since upgrade to Cinnamon 2.2 and GTK/GNOME 3.12, Geany can't open remote
      FTP files. No error displayed. Any file is seen as blank.

      Works for me, cinnamon 2.2.16, Geany 1.25, Mint 17

      Accessing FTP files works with Gedit 3.12.1.

      When accessing remote FTP location, Nemo/Nautilus now displays the actual
      FTP URL (ie. ftp://ftp.foobar.org) instead of GVFS mountpoint, as it
      previoulsy did. Not sure it is relevant to this particular bug though.

      ~/.gvfs directory is empty.

      System : Manjaro Linux testing
      GTK 3.12
      Cinnamon/Nemo 2.2.1
      Geany 1.24.1
      Kernel 3.12.18-1-MANJARO
      GVFS 1.20.1-2


      Sent from sourceforge.net because you indicated interest in
      https://sourceforge.net/p/geany/bugs/1043/

      To unsubscribe from further messages, please visit
      https://sourceforge.net/auth/subscriptions/

       

      Related

      Bugs: #1043

      • Lex Trotman

        Lex Trotman - 2015-08-19

        On 19 August 2015 at 21:14, Lex Trotman elextr@gmail.com wrote:

        [bugs:#1043] Can't open remote FTP files

        Status: pending-invalid
        Found in: v1.24.1
        Fixed in: v1.24.1
        Created: Wed May 07, 2014 01:37 PM UTC by ElVirolo
        Last Updated: Wed May 07, 2014 03:10 PM UTC
        Owner: nobody

        Since upgrade to Cinnamon 2.2 and GTK/GNOME 3.12, Geany can't open remote
        FTP files. No error displayed. Any file is seen as blank.

        Works for me, cinnamon 2.2.16, Geany 1.25, Mint 17

        Accessing FTP files works with Gedit 3.12.1.

        When accessing remote FTP location, Nemo/Nautilus now displays the actual
        FTP URL (ie. ftp://ftp.foobar.org) instead of GVFS mountpoint, as it
        previoulsy did. Not sure it is relevant to this particular bug though.

        ~/.gvfs directory is empty.

        My machine uses /var/run/user/<uid>/gvfs. IIUC it needs a Gnome
        specific daemon to populate ~/.gvfs

        System : Manjaro Linux testing
        GTK 3.12
        Cinnamon/Nemo 2.2.1
        Geany 1.24.1
        Kernel 3.12.18-1-MANJARO
        GVFS 1.20.1-2


        Sent from sourceforge.net because you indicated interest in
        https://sourceforge.net/p/geany/bugs/1043/

        To unsubscribe from further messages, please visit
        https://sourceforge.net/auth/subscriptions/

         

        Related

        Bugs: #1043


Log in to post a comment.